%define		enable_inotify	0
%define		enable_hal	1

Name:		pcmanfm
Version:	0.5
Release:	5%{?dist}
Summary:	Extremly fast and lightweight file manager

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://pcmanfm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.gz
Patch0:		pcmanfm-0.5-kill-find-immediately.patch
Patch1:		pcmanfm-0.5-icon-fallback.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	dbus-glib-devel
BuildRequires:	gamin-devel
BuildRequires:	gtk2-devel
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	startup-notification-devel

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool

%description
PCMan File Manager is an extremly fast and lightweight file manager 
which features tabbed browsing and user-friendly interface.

%prep
%setup -q
%patch0 -p1 -b .search_hang

%if 0%{?fedora} >= 10
function replace_icon(){
	find . -name \*.c | xargs grep -l $1 | \
		xargs %{__sed} -i -e "s|\"$1\"|\"$2\"|"
}

replace_icon	gnome-dev-cdrom		gtk-cdrom
replace_icon	gnome-dev-floppy	media-floppy
replace_icon	gnome-dev-disc-cdr	gtk-cdrom
replace_icon	gnome-dev-disc-cdrw	gtk-cdrom
for type in \
	gnome-dev-disc-dvdrom gnome-dev-disc-dvdram \
	gnome-dev-disc-dvdrw gnome-dev-disc-dvdr-plus
	do
		replace_icon $type media-optical-dvd
done
replace_icon	gnome-dev-harddisk	drive-harddisk
replace_icon	gnome-dev-harddisk-usb	drive-harddisk-usb
replace_icon	gnome-dev-harddisk-1394		drive-harddisk-ieee1394
replace_icon	gnome-dev-media-cf	media-flash-cf
replace_icon	gnome-dev-media-ms	media-flash-ms
replace_icon	gnome-dev-media-sm	media-flash-sm
replace_icon	gnome-dev-media-sdmmc	media-flash-sd
replace_icon	gnome-dev-removable	drive-removable-media
replace_icon	gnome-dev-removable-1394	drive-removable-media-ieee1394
replace_icon	gnome-dev-removable-usb		drive-removable-media-usb
replace_icon	gnome-fs-desktop	user-desktop
replace_icon	gnome-fs-directory	gtk-directory
replace_icon	gnome-fs-home		user-home
replace_icon	gnome-fs-trash-empty	user-trash
#replace_icon	gnome-mime-		''
replace_icon	gnome-mime-application-x-executable	\
	application-x-executable

%patch1 -p1 -b .icon_
%endif

# permission fix
%{__chmod} 0644 \
	[A-Z]*

%build
%configure \
%if %{enable_hal} >= 1
	--enable-hal \
%else
	--disable-hal \
%endif
%if %{enable_inotify} >= 1
	--enable-inotify
%else
	--disable-inotify
%endif

%{__make} %{?_smp_mflags} -k


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -p"

desktop-file-install \
	--delete-original \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--remove-category 'Application' \
	--vendor 'fedora' \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}*.desktop

%find_lang %{name}

/usr/lib/rpm/check-rpaths

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null
exit 0

%postun
update-desktop-database &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null
exit 0

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	COPYING
%doc	README
%doc	TODO

%{_bindir}/%{name}*

%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}*.desktop
%{_datadir}/mime/packages/*.xml

%changelog
* Fri Aug  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-5
- More fallback

* Wed Jul 30 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-4
- More fallback for gnome-icon-theme 2.23.X (F-10)

* Tue Jul 29 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-2
- F-10+: Use more generic icon name due to gnome-icon-theme 2.23.X change
  First try (need more fix)

* Thu Jul 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1
- 0.5

* Wed Jul 16 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6.2-1
- 0.4.6.2

* Tue Jul 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.6.1-1
- 0.4.6
- 0.4.6.1
- -Werror-implicit-function-declaration is added upstream

* Sat Jun 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.5-1
- 0.4.5 (remote server access function temporally removed)
- BR: intltool

* Sun May 25 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.2-1
- 0.4.4.2

* Mon May 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.4.0-1
- 0.4.4.0

* Sun May 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1.1-1
- 0.4.1
- 0.4.1.1

* Mon May  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.0-1
- 0.4.0

* Sun Apr 13 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.9.98-2
- First trial to suppress compilation warning (containing fix for
  crash on an occasion)

* Wed Apr  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.9.98-1
- 0.3.9.98

* Thu Mar 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.9.10-1
- 0.3.9.10

* Sat Mar 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.9.5-1
- 0.3.9.5

* Wed Mar  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.9-1
- 0.3.9

* Fri Feb 29 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.6.1-1
- 0.3.6.1

* Sat Feb 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.6-1
- 0.3.6

* Wed Feb 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.5.99-1
- 0.3.6 RC
- 2 patches dropped (applied by upstream)

* Tue Feb 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.5.23-3
- Fix crash on mounting removable devices

* Mon Feb 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.5.23-2
- Apply patch to fix crash on 64bits arch as suggested by Hans
  (bug 433182)
- Disable to mount removable devices for now

* Sun Feb 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.5.23-1
- Initial draft
- Disable inotify support, too buggy (also default is no currently)


